{% extends 'base.html' %}
{% load static %}

{% block meta %}
    <title>Register</title>
{% endblock meta %}

{% block content %}
  <div class = "d-flex flex-column justify-content-center align-items-center padding-3">
    <p class = "montserrat-bold large-font margin-top-2">Register</p>
    <form class = "full-size" method="POST">
      {% csrf_token %}   
      <div class = "full-size d-flex flex-column justify-content-center align-items-center">
        <div class = "full-size d-flex flex-column montserrat-medium medium-font margin-1">
            <p class = "medium-font margin-top-2">Username</p>
            {{ form.username }}
        </div>
      </div>
      <div class = "full-size d-flex flex-column justify-content-center align-items-center">
        <div class = "full-size d-flex flex-column montserrat-medium medium-font margin-1">
            <p class = "medium-font margin-top-2">Full Name</p>
            {{ form.first_name }}
        </div>
      </div>
      <div class = "full-size d-flex flex-column justify-content-center align-items-center">
        <div class = "full-size d-flex flex-column montserrat-medium medium-font margin-1">
            <p class = "medium-font margin-top-2">Role</p>
            {{ form.user_type}}
        </div>
      </div>
      <div class = "full-size d-flex flex-column justify-content-center align-items-center">
          <div class = "full-size d-flex flex-column montserrat-medium medium-font margin-1">
              <p class = "medium-font margin-top-2">Email</p>
              {{ form.email }}
          </div>
      </div>
      <div class = "full-size d-flex flex-column justify-content-center align-items-center">
          <div class = "full-size d-flex flex-column montserrat-medium medium-font margin-1">
              <p class = "medium-font margin-top-2">Password</p>
              {{ form.password1 }}
          </div>
      </div>
      <div class = "full-size d-flex flex-column justify-content-center align-items-center">
          <div class = "full-size d-flex flex-column montserrat-medium medium-font margin-1">
              <p class = "medium-font margin-top-2">Password confirmation</p>
              {{ form.password2 }}
          </div>
      </div>
      <button type="submit" class="btn btn-primary">Register</button>
    </form>
    <div class = "full-size d-flex justify-content-center align-items-center">
      <div class = "full-size d-flex flex-column justify-content-center align-items-center montserrat-medium medium-font margin-1">
          {% for message in messages %}
              <p>{{ message }}</p>
          {% endfor %}
      </div>
    </div>
    <div class = "full-size d-flex justify-content-center align-items-center">
      <div class = "full-size d-flex flex-column justify-content-center align-items-center montserrat-medium medium-font margin-1">
          <p>Sudah memiliki akun?</p>
          <a href="/login"><button class="btn btn-outline-info">Login</button></a>
      </div>
    </div>
  </div>
{% endblock content %}